package com.jeeplus.modules.sg.project.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.project.entity.WbsItem;
import com.jeeplus.modules.sg.project.entity.WbsProject;
import com.jeeplus.modules.sg.project.entity.WbsSelection;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@MyBatisMapper
public interface ItemMapper extends BaseMapper<WbsItem> {
    //获取项目信息
    List<WbsItem> getList(WbsProject wbsProject);

    //保存项目信息
    int insert(WbsItem wbsItem);

    //根据名称获取项目
    List<WbsItem> findItemByName(@Param("itemName")String itemName,@Param("projectId") String projectId);

    //批量更新项目信息
    void updateList(@Param("list") List<WbsItem> list);

    //删除项目
    Integer updateItem(WbsItem wbsItem);

    //根据工程id删除
    Integer deleteItem(String parentId);

    //根据项目id删除结算
    Integer deleteCount(String itemId);

     //根据项目id删除 其他项目
    Integer deleteAdjust(String itemId);

    //根据项目id删除 差额
    Integer deleteDetail(String itemId);

    //查找工程下所有项目
    List<WbsItem> findItem(String parentId);

    //根据id查找当前所有项目
    WbsItem findItemById(String id);

    //更新诚信扣款
    void updateFee(@Param("list") List<WbsItem> list);

    //获取诚信扣款状态
    WbsItem getState(String id);
}
